Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bg.alpha.base
Class ZZZDefs

    java.lang.Object
      bg.alpha.base.ZZZDefs

    public class ZZZDefs

extends java.lang.Object

Field Summary
`protected static boolean` | `__H_TEST_STREAM_FILE__`
`protected static boolean` | `__PLAY_BEEPS__`
`protected static boolean` | `__SHOW_WRITE_WARNINGS__`
`protected static boolean` | `__TRANSACT_`
`protected static boolean` | `__ZZZ_CURSOR_DRAW__`
`protected static boolean` | `__ZZZ_HASH_`
`protected static boolean` | `__ZZZ_PROGRESS`
`static int` | `allTypes` Описва кои битове са заделени за потребителска информация определяща всички характеристики на данните записани в текущия елемент:
`static int` | `BEGINWRITE` Начало на записване на указателя ZZZDeletedSystemQueuePtr към изтритите елементи:
`static int` | `charPtrType` Ако getT(userType, ZZZ.ET) == charPtrType - потребителски тип показващ, че в елемента е записана буквена информация без заключителната буква равна на '\0':
`static int` | `cZCO_DRAW_TRACE`
`static int` | `cZCO_HAS_HASH`
`static int` | `cZCO_HAS_SAVERS`
`static int` | `cZCO_HAS_TRACE_LOG`
`static int` | `cZCO_HAS_TrS`
`static int` | `cZCO_IN_FILE`
`static int` | `cZCO_IN_MEMORY`
`static int` | `cZSO_DEFAULT`
`static int` | `cZSO_DEFAULT_FILE`
`static int` | `cZSO_DEFAULT_MEM`
`static int` | `dateType` Ако getT(userType, ZZZ.ET) == dateType - потребителски тип показващ, че в елемента е записана дата:
`static int` | `doubleType` Ако getT(userType, ZZZ.ET) == doubleType - потребителски тип показващ, че в елемента е записано реално число с двойна точност:
`static int` | `ENDWRITE` Край на записване на указателя ZZZDeletedSystemQueuePtr към изтритите елементи:
`static int` | `fileNameLength` Определя максималната дължина на файловете:
`static int` | `iMaxFileHandles` Максимален брой на файловете, които могат да бъдат защитени с транзакция
`static int` | `isAccessible` Ако getT(isAccessible, ZZZ.ET) == isAccessible - показва, че елемента е достъпен за потребителя, ако е 0 е недостъпен:
`static int` | `isPasswordLocked` Ако getT(isPassowrdLocked, ZZZ.ET) == isPassowrdLocked - показва, че елемента е недостъпен за потребителя, ако паролата за достъп до него не съвпада с описаната в подмножеството му:
`static int` | `lockKey`
`static int` | `lockRead` Ако getT(lockType, ZZZ.ET) == lockRead, то елемента е забранен за четене:
`static int` | `lockReadWrite` Ако getT(lockType, ZZZ.ET) == lockReadWrite, то елемента е забранен както за четене така и за запис:
`static int` | `lockType` Описва кои битове са заделени за определяне типа заключване на елемента:
`static int` | `lockWrite` Ако getT(lockType, ZZZ.ET) == lockWrite, то елемента е забранен за запис:
`static int` | `longData`
`static int` | `longElement` Ако getT(longElement, ZZZ.ET) == longElement, това е парче от дълъг елемент:
`static int` | `longintType` Ако getT(userType, ZZZ.ET) == longintType - потребителски тип показващ, че в елемента е записано цяло дълго число:
`static int` | `MaxZSSL` Определя максималната дължина на символ, който можем да запишем в ZZZ клетка(т.н. къс символ):
`static byte[]` | `MsgDSQP` Имена на ZZZ множества:
`static byte[]` | `MsgZZZ` Начало на структурата.
`static java.lang.String` | `optimZZZFileName` Определя името на файла, който ще служи за оптимизация на ZZZ базата:
`static byte[]` | `Pointers`
`static int` | `S_ZET`
`static int` | `S_ZPT` При промяна на някоя от тези дефиниции вероятно ще се получи несъвместимост със съществуващите до момента ZZZ бази и следователно ще е необходимо променената версия на ZZZ-то да се предоставя на клиентите със съответната преобразуваща програма.
`static byte[]` | `SaverPtr`
`static byte[]` | `sCount`
`static int` | `showChildrens` Ако getT(showChildrens, ZZZ.ET) == showChildrens, то трябва да изобразим и подмножеството на елемента:
`static byte[]` | `sName`
`static byte[]` | `sPath`
`static int` | `specificType` Ако getT(userType, ZZZ.ET) == specificType - показва, че в елемента е записана информация, чиито тип и съдържание са описани в подмножеството му:
`static byte[]` | `sState`
`static int` | `systemType` Описва кои битове са заделени за системна информация определяща дали символа е къс или дълъг и ако е къс съдържа дължината му, а ако е дълъг стойността му е равна на дефиницията longData
`static int` | `TEMPSTRLEN`
`static int` | `timeType` Ако getT(userType, ZZZ.ET) == timeType - потребителски тип показващ, че в елемента е записано време:
`static short` | `undefinedType` Ако getT(longElement, ZZZ.ET) == longElement, това е парче от дълъг елемент:
`static int` | `userType` Описва кои битове са заделени за потребителска информация определяща някои типове на данните записани в текущия елемент:
`static int` | `WRITESTATEBYTEPOSITION` Място за запис на информация необходима за защита на ZZZ-то от спиране на тока(записване на указателя ZZZDeletedSystemQueuePtr):
`static long` | `ZNP` Определение за празен(сочещ нищо) ZZZ указател:
`static int` | `zZCO_READ_ONLY` Задава настройки на класа при създаването му като например: - дали да има кеш или не; - дали базата да се съхранява във файл в паметта или на друго място; - дали последователността от действия да се записва във файл(Log); - дали базата да се защитава с транзакции; - дали да се изчертават действията извършвани с базата.
`static long` | `ZZZNULLDSQP` Стойност, с която инициализираме указателя към изтритите елементи след създаване на ZZZ-то.
`static int` | `ZZZPoint` Ако getT(ZZZPoint, ZZZ.ET) == ZZZPoint, то символа е ZZZ точка и преди изтриването му е необходимо да изтрием указателя към него от системното множество saverPtr:
`static int` | `ZZZPointPosition` Ако getT(ZZZPointPosition, ZZZ.ET) == ZZZPointPosition, то символа е позиция на ZZZ точка:
`static int` | `ZZZSYSMEM`
`static int` | `ZZZSYSTEMMEMORY` Резервиране на служебна памет в началото на ZZZ.ZZZ файла в блокове от sizeof(ZPT):

Constructor Summary
`ZZZDefs()`

Method Summary
`static short` | `GetST(short T)` Взима системния тип от ZZZ.ET
`bg.alpha.base.ZET` | `GetT(bg.alpha.base.ZET ZZZType, bg.alpha.base.ZET T)` Взема определен тип от ZZZ.ET
`static void` | `SetST(bg.alpha.base.ZET T, bg.alpha.base.ZET newT)` Задава системния тип в ZZZ.ET
`void` | `SetT(bg.alpha.base.ZET ZZZType, bg.alpha.base.ZET T, bg.alpha.base.ZET newT)` Записва определен тип в ZZZ.ET

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __H_TEST_STREAM_FILE__

    protected static boolean __H_TEST_STREAM_FILE__

### __TRANSACT_

    protected static boolean __TRANSACT_

### __ZZZ_CURSOR_DRAW__

    protected static boolean __ZZZ_CURSOR_DRAW__

### __ZZZ_PROGRESS

    protected static boolean __ZZZ_PROGRESS

### __ZZZ_HASH_

    protected static boolean __ZZZ_HASH_

### __SHOW_WRITE_WARNINGS__

    protected static boolean __SHOW_WRITE_WARNINGS__

### __PLAY_BEEPS__

    protected static boolean __PLAY_BEEPS__

### ZZZSYSTEMMEMORY

    public static final int ZZZSYSTEMMEMORY

  Резервиране на служебна памет в началото на ZZZ.ZZZ файла в блокове от sizeof(ZPT):

  See Also:
    Constant Field Values

### BEGINWRITE

    public static final int BEGINWRITE

  Начало на записване на указателя ZZZDeletedSystemQueuePtr към изтритите елементи:

  See Also:
    Constant Field Values

### ENDWRITE

    public static final int ENDWRITE

  Край на записване на указателя ZZZDeletedSystemQueuePtr към изтритите елементи:

  See Also:
    Constant Field Values

### WRITESTATEBYTEPOSITION

    public static final int WRITESTATEBYTEPOSITION

  Място за запис на информация необходима за защита на ZZZ-то от спиране на тока(записване на указателя ZZZDeletedSystemQueuePtr):

  See Also:
    Constant Field Values

### MaxZSSL

    public static final int MaxZSSL

  Определя максималната дължина на символ, който можем да запишем в ZZZ клетка(т.н. къс символ):

  See Also:
    Constant Field Values

### systemType

    public static final int systemType

  Описва кои битове са заделени за системна информация определяща дали символа е къс или дълъг и ако е къс съдържа дължината му, а ако е дълъг стойността му е равна на дефиницията longData

  See Also:
    Constant Field Values

### longData

    public static final int longData

See Also:
  Constant Field Values

### allTypes

    public static final int allTypes

  Описва кои битове са заделени за потребителска информация определяща всички характеристики на данните записани в текущия елемент:

  See Also:
    Constant Field Values

### userType

    public static final int userType

  Описва кои битове са заделени за потребителска информация определяща някои типове на данните записани в текущия елемент:

  See Also:
    Constant Field Values

### charPtrType

    public static final int charPtrType

  Ако getT(userType, ZZZ.ET) == charPtrType - потребителски тип показващ, че в елемента е записана буквена информация без заключителната буква равна на '\0':

  See Also:
    Constant Field Values

### doubleType

    public static final int doubleType

  Ако getT(userType, ZZZ.ET) == doubleType - потребителски тип показващ, че в елемента е записано реално число с двойна точност:

  See Also:
    Constant Field Values

### longintType

    public static final int longintType

  Ако getT(userType, ZZZ.ET) == longintType - потребителски тип показващ, че в елемента е записано цяло дълго число:

  See Also:
    Constant Field Values

### dateType

    public static final int dateType

  Ако getT(userType, ZZZ.ET) == dateType - потребителски тип показващ, че в елемента е записана дата:

  See Also:
    Constant Field Values

### timeType

    public static final int timeType

  Ако getT(userType, ZZZ.ET) == timeType - потребителски тип показващ, че в елемента е записано време:

  See Also:
    Constant Field Values

### specificType

    public static final int specificType

  Ако getT(userType, ZZZ.ET) == specificType - показва, че в елемента е записана информация, чиито тип и съдържание са описани в подмножеството му:

  See Also:
    Constant Field Values

### isAccessible

    public static final int isAccessible

  Ако getT(isAccessible, ZZZ.ET) == isAccessible - показва, че елемента е достъпен за потребителя, ако е 0 е недостъпен:

  See Also:
    Constant Field Values

### isPasswordLocked

    public static final int isPasswordLocked

  Ако getT(isPassowrdLocked, ZZZ.ET) == isPassowrdLocked - показва, че елемента е недостъпен за потребителя, ако паролата за достъп до него не съвпада с описаната в подмножеството му:

  See Also:
    Constant Field Values

### lockType

    public static final int lockType

  Описва кои битове са заделени за определяне типа заключване на елемента:

  See Also:
    Constant Field Values

### lockRead

    public static final int lockRead

  Ако getT(lockType, ZZZ.ET) == lockRead, то елемента е забранен за четене:

  See Also:
    Constant Field Values

### lockWrite

    public static final int lockWrite

  Ако getT(lockType, ZZZ.ET) == lockWrite, то елемента е забранен за запис:

  See Also:
    Constant Field Values

### lockReadWrite

    public static final int lockReadWrite

  Ако getT(lockType, ZZZ.ET) == lockReadWrite, то елемента е забранен както за четене така и за запис:

  See Also:
    Constant Field Values

### ZZZPoint

    public static final int ZZZPoint

  Ако getT(ZZZPoint, ZZZ.ET) == ZZZPoint, то символа е ZZZ точка и преди изтриването му е необходимо да изтрием указателя към него от системното множество saverPtr:

  See Also:
    Constant Field Values

### ZZZPointPosition

    public static final int ZZZPointPosition

  Ако getT(ZZZPointPosition, ZZZ.ET) == ZZZPointPosition, то символа е позиция на ZZZ точка:

  See Also:
    Constant Field Values

### showChildrens

    public static final int showChildrens

  Ако getT(showChildrens, ZZZ.ET) == showChildrens, то трябва да изобразим и подмножеството на елемента:

  See Also:
    Constant Field Values

### longElement

    public static final int longElement

  Ако getT(longElement, ZZZ.ET) == longElement, това е парче от дълъг елемент:

  See Also:
    Constant Field Values

### undefinedType

    public static final short undefinedType

  Ако getT(longElement, ZZZ.ET) == longElement, това е парче от дълъг елемент:

  See Also:
    Constant Field Values

### lockKey

    public static final int lockKey

See Also:
  Constant Field Values

### TEMPSTRLEN

    public static final int TEMPSTRLEN

See Also:
  Constant Field Values

### iMaxFileHandles

    public static final int iMaxFileHandles

  Максимален брой на файловете, които могат да бъдат защитени с транзакция

  See Also:
    Constant Field Values

### ZNP

    public static final long ZNP

  Определение за празен(сочещ нищо) ZZZ указател:

  See Also:
    Constant Field Values

### optimZZZFileName

    public static final java.lang.String optimZZZFileName

  Определя името на файла, който ще служи за оптимизация на ZZZ базата:

  See Also:
    Constant Field Values

### fileNameLength

    public static final int fileNameLength

  Определя максималната дължина на файловете:

  See Also:
    Constant Field Values

### S_ZPT

    public static final int S_ZPT

  При промяна на някоя от тези дефиниции вероятно ще се получи несъвместимост със съществуващите до момента ZZZ бази и следователно ще е необходимо променената версия на ZZZ-то да се предоставя на клиентите със съответната преобразуваща програма.

  See Also:
    Constant Field Values

### ZZZSYSMEM

    public static final int ZZZSYSMEM

See Also:
  Constant Field Values

### ZZZNULLDSQP

    public static final long ZZZNULLDSQP

  Стойност, с която инициализираме указателя към изтритите елементи след създаване на ZZZ-то.

  See Also:
    Constant Field Values

### MsgDSQP

    public static byte[] MsgDSQP

  Имена на ZZZ множества:

### MsgZZZ

    public static byte[] MsgZZZ

  Начало на структурата.

### SaverPtr

    public static byte[] SaverPtr

### Pointers

    public static byte[] Pointers

### sName

    public static byte[] sName

### sCount

    public static byte[] sCount

### sState

    public static byte[] sState

### sPath

    public static byte[] sPath

### S_ZET

    public static final int S_ZET

See Also:
  Constant Field Values

### zZCO_READ_ONLY

    public static final int zZCO_READ_ONLY

  Задава настройки на класа при създаването му като например: - дали да има кеш или не; - дали базата да се съхранява във файл в паметта или на друго място; - дали последователността от действия да се записва във файл(Log); - дали базата да се защитава с транзакции; - дали да се изчертават действията извършвани с базата.

  See Also:
    Constant Field Values

### cZCO_HAS_HASH

    public static final int cZCO_HAS_HASH

See Also:
  Constant Field Values

### cZCO_IN_MEMORY

    public static final int cZCO_IN_MEMORY

See Also:
  Constant Field Values

### cZCO_IN_FILE

    public static final int cZCO_IN_FILE

See Also:
  Constant Field Values

### cZCO_HAS_TRACE_LOG

    public static final int cZCO_HAS_TRACE_LOG

See Also:
  Constant Field Values

### cZCO_HAS_TrS

    public static final int cZCO_HAS_TrS

See Also:
  Constant Field Values

### cZCO_DRAW_TRACE

    public static final int cZCO_DRAW_TRACE

See Also:
  Constant Field Values

### cZCO_HAS_SAVERS

    public static final int cZCO_HAS_SAVERS

See Also:
  Constant Field Values

### cZSO_DEFAULT_FILE

    public static final int cZSO_DEFAULT_FILE

See Also:
  Constant Field Values

### cZSO_DEFAULT_MEM

    public static final int cZSO_DEFAULT_MEM

See Also:
  Constant Field Values

### cZSO_DEFAULT

    public static final int cZSO_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### ZZZDefs

    public ZZZDefs()

Method Detail

### GetST

    public static short GetST(short T)

  Взима системния тип от ZZZ.ET

  Parameters:
    `T` -
  Returns:

### SetST

    public static void SetST(bg.alpha.base.ZET T,
                             bg.alpha.base.ZET newT)

  Задава системния тип в ZZZ.ET

  Parameters:
    `T` -
    `newT` -

### GetT

    public bg.alpha.base.ZET GetT(bg.alpha.base.ZET ZZZType,
                                  bg.alpha.base.ZET T)

  Взема определен тип от ZZZ.ET

  Parameters:
    `ZZZType` -
    `T` -
  Returns:

### SetT

    public void SetT(bg.alpha.base.ZET ZZZType,
                     bg.alpha.base.ZET T,
                     bg.alpha.base.ZET newT)

  Записва определен тип в ZZZ.ET

  Parameters:
    `ZZZType` -
    `T` -
    `newT` -

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD